<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!--
     Copyright (C) 2012 QUALCOMM Incorporated.
     Copyright (C) 2012-2013 Sony Mobile Communications AB.
     All Rights Reserved. QUALCOMM Proprietary and Confidential.
  -->
<WFDConfig>
    <Capability>
        <AudioLPCM>
            <Name>LPCM</Name>
            <Valid>1</Valid>
            <Channels>2</Channels>
            <SamplingFreq>48000</SamplingFreq>
            <Latency>33</Latency>
        </AudioLPCM>
        <AudioAAC>
            <Name>AAC</Name>
            <Valid>1</Valid>
            <Channels>2</Channels>
            <SamplingFreq>48000</SamplingFreq>
            <Latency>0</Latency>
        </AudioAAC>
        <AudioAC3>
            <Name>AC3</Name>
            <Valid>0</Valid>
            <Channels>0</Channels>
            <SamplingFreq>0</SamplingFreq>
            <Latency>0</Latency>
        </AudioAC3>
        <VideoHeader>
            <VideoMethod>1</VideoMethod>
            <PreferredDisplaySupport>0</PreferredDisplaySupport>
            <H264Profiles>1</H264Profiles>
            <Valid>1</Valid>
        </VideoHeader>

        <CBP>
            <VideoCodec>
                <Profile>1</Profile>
                <Level>1</Level>
                <HorizontalResolution>1280</HorizontalResolution>
                <VerticalResolution>720</VerticalResolution>
                <Latency>0</Latency>
                <MinimumSliceSize>0</MinimumSliceSize>
                <SliceEncodingParams>0</SliceEncodingParams>
                <FrameRateControlSupp>1</FrameRateControlSupp>
                <VideoFps>24</VideoFps>
            </VideoCodec>
        </CBP>

        <StandbyResumeCapability>
            <Valid>1</Valid>
        </StandbyResumeCapability>
        <!--
             IDR interval is to trigger an IDR request from sink.
             This can be applcable only to sink. IDRInterval is in msec
          -->
        <IDRRequest>
            <Valid>0</Valid>
            <IDRInterval>0</IDRInterval>
        </IDRRequest>
        <AVFormatChange>
            <Valid>0</Valid>
            <AVInterval>0</AVInterval>
        </AVFormatChange>
        <!--
             Frame skipping interval is in the scale of 500 msec/half second.
             FrameInterval can be between 1 to 7,  according to the WFD spec.
          -->
        <FrameSkipping>
            <Valid>0</Valid>
            <FrameInterval>0</FrameInterval>
        </FrameSkipping>
        <ContentProtection>
            <Valid>1</Valid>
            <Version>WFD_HDCP_2_1</Version> <!-- Valid values WFD_HDCP_2_0 and WFD_HDCP_2_1 -->
            <CPPort>6789</CPPort>
            <EncryptAudio>1</EncryptAudio> <!-- Valid values 0 / 1 to indicate Audio encryption or not -->
            <EnforceLinkHDCP>0</EnforceLinkHDCP>
        </ContentProtection>
        <RTPDumpEnable>
            <Valid>0</Valid>
        </RTPDumpEnable>

        <UIBC>
            <UIBCValid>0</UIBCValid>        <!-- 0/1 UIBC supported or not -->
            <InputCategory>
                <Generic>1</Generic>        <!-- 0/1 - support generic or not -->
            </InputCategory>
            <InputEvents>
                <GenericInputEvents>
                    <Mouse>1</Mouse>        <!-- 0/1 for all Input Event Types -->
                    <Keyboard>1</Keyboard>
                    <SingleTouch>1</SingleTouch>
                    <MultiTouch>1</MultiTouch>
                    <JoyStick>1</JoyStick>
                    <Camera>0</Camera>
                    <Gesture>0</Gesture>
                    <RemoteControl>1</RemoteControl>
                </GenericInputEvents>
            </InputEvents>
            <TcpPort>4321</TcpPort>
        </UIBC>
    </Capability>

    <DynamicBitrateAdaptation>1</DynamicBitrateAdaptation>
    <SendKeepAlive>1</SendKeepAlive>
    <RTSPPort>7236</RTSPPort>
    <EncyptNonSecureContent>1</EncyptNonSecureContent>
    <PerformanceLevelTurboMode>1</PerformanceLevelTurboMode>
    <DisableFillerNalU>1</DisableFillerNalU>

    <BitrateTable>
        <AAC>
            <BIT0>
                <MaxBitrate>256000</MaxBitrate>
                <MinBitrate>256000</MinBitrate>
            </BIT0>
            <BIT1>
                <MaxBitrate>384000</MaxBitrate>
                <MinBitrate>384000</MinBitrate>
            </BIT1>
            <BIT2>
                <MaxBitrate>512000</MaxBitrate>
                <MinBitrate>512000</MinBitrate>
            </BIT2>
        </AAC>
        <CEA>
            <BIT0>
                <MinBitrate>1000000</MinBitrate>
                <MaxBitrate>4000000</MaxBitrate>
            </BIT0>
            <BIT1>
                <MinBitrate>1000000</MinBitrate>
                <MaxBitrate>4000000</MaxBitrate>
            </BIT1>
            <BIT2>
                <MinBitrate>1000000</MinBitrate>
                <MaxBitrate>4000000</MaxBitrate>
            </BIT2>
            <BIT3>
                <MinBitrate>1000000</MinBitrate>
                <MaxBitrate>4000000</MaxBitrate>
            </BIT3>
            <BIT4>
                <MinBitrate>1000000</MinBitrate>
                <MaxBitrate>4000000</MaxBitrate>
            </BIT4>
            <BIT5>
                <MinBitrate>3000000</MinBitrate>
                <MaxBitrate>6000000</MaxBitrate>
            </BIT5>
            <BIT6>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT6>
            <BIT7>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT7>
            <BIT8>
                <MinBitrate>10000000</MinBitrate>
                <MaxBitrate>40000000</MaxBitrate>
            </BIT8>
            <BIT9>
                <MinBitrate>10000000</MinBitrate>
                <MaxBitrate>40000000</MaxBitrate>
            </BIT9>
            <BIT10>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>10000000</MaxBitrate>
            </BIT10>
            <BIT11>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT11>
            <BIT12>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT12>
            <BIT13>
                <MinBitrate>10000000</MinBitrate>
                <MaxBitrate>40000000</MaxBitrate>
            </BIT13>
            <BIT14>
                <MinBitrate>10000000</MinBitrate>
                <MaxBitrate>40000000</MaxBitrate>
            </BIT14>
            <BIT15>
                <MinBitrate>3000000</MinBitrate>
                <MaxBitrate>6000000</MaxBitrate>
            </BIT15>
            <BIT16>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT16>
        </CEA>
        <VESA>
            <BIT0>
                <MinBitrate>500000</MinBitrate>
                <MaxBitrate>2000000</MaxBitrate>
            </BIT0>
            <BIT1>
                <MinBitrate>1000000</MinBitrate>
                <MaxBitrate>4000000</MaxBitrate>
            </BIT1>
            <BIT2>
                <MinBitrate>2500000</MinBitrate>
                <MaxBitrate>10000000</MaxBitrate>
            </BIT2>
            <BIT3>
                <MinBitrate>2500000</MinBitrate>
                <MaxBitrate>10000000</MaxBitrate>
            </BIT3>
            <BIT4>
                <MinBitrate>2500000</MinBitrate>
                <MaxBitrate>10000000</MaxBitrate>
            </BIT4>
            <BIT5>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT5>
            <BIT6>
                <MinBitrate>2500000</MinBitrate>
                <MaxBitrate>10000000</MaxBitrate>
            </BIT6>
            <BIT7>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT7>
            <BIT8>
                <MinBitrate>3500000</MinBitrate>
                <MaxBitrate>14000000</MaxBitrate>
            </BIT8>
            <BIT9>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT9>
            <BIT10>
                <MinBitrate>3500000</MinBitrate>
                <MaxBitrate>14000000</MaxBitrate>
            </BIT10>
            <BIT11>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT11>
            <BIT12>
                <MinBitrate>2500000</MinBitrate>
                <MaxBitrate>10000000</MaxBitrate>
            </BIT12>
            <BIT13>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT13>
            <BIT14>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT14>
            <BIT15>
                <MinBitrate>10000000</MinBitrate>
                <MaxBitrate>40000000</MaxBitrate>
            </BIT15>
            <BIT16>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT16>
            <BIT17>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT17>
            <BIT18>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT18>
            <BIT19>
                <MinBitrate>10000000</MinBitrate>
                <MaxBitrate>40000000</MaxBitrate>
            </BIT19>
            <BIT20>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT20>
            <BIT21>
                <MinBitrate>10000000</MinBitrate>
                <MaxBitrate>40000000</MaxBitrate>
            </BIT21>
            <BIT22>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT22>
            <BIT23>
                <MinBitrate>10000000</MinBitrate>
                <MaxBitrate>40000000</MaxBitrate>
            </BIT23>
            <BIT24>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT24>
            <BIT25>
                <MinBitrate>10000000</MinBitrate>
                <MaxBitrate>40000000</MaxBitrate>
            </BIT25>
            <BIT26>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT26>
            <BIT27>
                <MinBitrate>10000000</MinBitrate>
                <MaxBitrate>40000000</MaxBitrate>
            </BIT27>
            <BIT28>
                <MinBitrate>5000000</MinBitrate>
                <MaxBitrate>20000000</MaxBitrate>
            </BIT28>
            <BIT29>
                <MinBitrate>10000000</MinBitrate>
                <MaxBitrate>40000000</MaxBitrate>
            </BIT29>
        </VESA>
        <HH>
            <BIT0>
                <MinBitrate>500000</MinBitrate>
                <MaxBitrate>2000000</MaxBitrate>
            </BIT0>
            <BIT1>
                <MinBitrate>1000000</MinBitrate>
                <MaxBitrate>4000000</MaxBitrate>
            </BIT1>
            <BIT2>
                <MinBitrate>500000</MinBitrate>
                <MaxBitrate>2000000</MaxBitrate>
            </BIT2>
            <BIT3>
                <MinBitrate>1000000</MinBitrate>
                <MaxBitrate>4000000</MaxBitrate>
            </BIT3>
            <BIT4>
                <MinBitrate>500000</MinBitrate>
                <MaxBitrate>2000000</MaxBitrate>
            </BIT4>
            <BIT5>
                <MinBitrate>1000000</MinBitrate>
                <MaxBitrate>4000000</MaxBitrate>
            </BIT5>
            <BIT6>
                <MinBitrate>500000</MinBitrate>
                <MaxBitrate>2000000</MaxBitrate>
            </BIT6>
            <BIT7>
                <MinBitrate>1000000</MinBitrate>
                <MaxBitrate>4000000</MaxBitrate>
            </BIT7>
            <BIT8>
                <MinBitrate>500000</MinBitrate>
                <MaxBitrate>2000000</MaxBitrate>
            </BIT8>
            <BIT9>
                <MinBitrate>1000000</MinBitrate>
                <MaxBitrate>4000000</MaxBitrate>
            </BIT9>
            <BIT10>
                <MinBitrate>500000</MinBitrate>
                <MaxBitrate>2000000</MaxBitrate>
            </BIT10>
            <BIT11>
                <MinBitrate>1000000</MinBitrate>
                <MaxBitrate>4000000</MaxBitrate>
            </BIT11>
        </HH>
    </BitrateTable>
    <CyclicIntraRefresh>
        0
    </CyclicIntraRefresh>
    <CIRNumberOfMacroBlocks>
        50
    </CIRNumberOfMacroBlocks>
</WFDConfig>
